#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires network access)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-Client-HTTP
Summary:	POE::Component::Client::HTTP - a HTTP user-agent component
Summary(pl.UTF-8):	POE::Component::Client::HTTP - komponent klienta HTTP
Name:		perl-POE-Component-Client-HTTP
Version:	0.944
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/POE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	79697fe8bf93bcc85ca7b32a94ca5906
URL:		http://search.cpan.org/dist/POE-Component-Client-HTTP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-POE >= 1:0.3202
BuildRequires:	perl-URI >= 1.24
BuildRequires:	perl-libwww
%endif
Requires:	perl-POE >= 1:0.3202
Requires:	perl-POE-Component-Client-Keepalive
Requires:	perl-libwww
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Component::Client::HTTP is an HTTP user-agent for POE.  It lets
other sessions run while HTTP transactions are being processed, and it
lets several HTTP transactions be processed in parallel.

%description -l pl.UTF-8
POE::Component::Client::HTTP to klient HTTP dla POE. Pozwala na
działanie innych sesji podczas wykonywania transakcji HTTP, a także
pozwala na równoległe wykonywanie kilku transakcji HTTP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"POE::Component::Client::HTTP")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES* README
%{perl_vendorlib}/POE/Filter/HTTP*.pm
%{perl_vendorlib}/POE/Component/Client/HTTP.pm
%dir %{perl_vendorlib}/POE/Component/Client/HTTP
%{perl_vendorlib}/POE/Component/Client/HTTP/*.pm
%{_mandir}/man3/*
%changelog
* Thu Feb 12 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-POE-Component-Client-HTTP.git;a=log;h=master

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> b760518
- up to 0.944

* Fri Sep 18 2009 amateja <amateja@pld-linux.org> 00767ea
- updated to 0.890

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> e307ffc
- up to 0.87

* Tue Nov 25 2008 Maciej Pijanka <agaran@pld-linux.org> 584efd9
- up to 0.86, rel 1, builds here

* Sun Aug 31 2008 Jakub Bogusz <qboosh@pld-linux.org> de298e4
- generic URL

* Sat Aug 30 2008 Maciej Pijanka <agaran@pld-linux.org> 5f7e4ac
- up to 0.85, rel 1, builds here and on carme too

* Mon Apr 30 2007 radek <radek@pld-linux.org> c248664
- version 0.82, R: perl-POE-Component-Client-Keepalive

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 96fecf7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> daf39f4
- converted to UTF-8

* Fri Oct 27 2006 ankry <ankry@pld-linux.org> ef31297
- ver. 0.79

* Thu Jul 27 2006 Maciej Pijanka <agaran@pld-linux.org> 0f050ea
- up to 0.77, rel 0.1, builds here

* Tue Dec 06 2005 Jakub Bogusz <qboosh@pld-linux.org> a3f3802
- missing dir, don't hide potential file bugs in macros and globs

* Mon Dec 05 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 28ac677
- updated to 0.72
- BR: perl-POE >= 0.31, perl-URI >= 1.24

* Wed Dec 01 2004 radek <radek@pld-linux.org> c5a0578
- autoupdated to 0.65

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 0b16220
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 82f60a2
- updated to 0.64

* Wed Jun 02 2004 ankry <ankry@pld-linux.org> 423312b
- disabled tests, added R: for packages that are no longer required during build

* Fri May 07 2004 ankry <ankry@pld-linux.org> 98dd14f
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> e3c048c
- fixed perl-devel BR

* Fri Apr 23 2004 Maciej Pijanka <agaran@pld-linux.org> 31d6f7d
- updated bconds to new style, NFY, WIP

